# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Terraform-Module.gitlab-ci.yml

include:
  - template: Terraform/Module-Base.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Terraform/Module-Base.gitlab-ci.yml
  - template: Jobs/SAST-IaC.gitlab-ci.yml          # https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Jobs/SAST-IaC.gitlab-ci.yml

stages:
  - validate
  - build
  - test
  - deploy

fmt:
  extends: .terraform-module:fmt

# See the included job template at `Terraform/Module-Base.gitlab-ci.yml` to learn about supported variables.
deploy:
  extends: .terraform-module:deploy
  rules:
    - if: $CI_COMMIT_TAG
